
@font-face {
    font-family: 'Parisine Office Bold';
    src: url('font/ParisineOffice-Bold.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Parisine Office';
    src: url('font/ParisineOffice-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

/* Reset de base */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Parisine Office', Arial, sans-serif;
}

body, html {
    height: 100%;
}

/* Fond dégradé ciel et nuages */
.hero-section {
    width: 100%;
    height: 100vh;
    background: linear-gradient(to bottom, #1e88e5 0%, #bbdefb 70%, #ffffff 100%);
    background-image: url("img/fond.jpg");
    background-size: cover;
    background-position: bottom;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 20px;
    position: relative;
    overflow: hidden;
}

/* Animation de l'avion */
@keyframes flyIn {
    from {
        transform: translateX(calc(-50vw - 130px));
    }
    to {
        transform: translateX(calc(50vw + 130px));
    }
}

.airplane {
    width: 260px;
    animation: flyIn 50s linear infinite;
}

/* Mise en page du contenu central */
.container {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 3vw;
    flex-wrap: wrap; /* Pour le mobile */
    max-width: 900px;
    height: 500px;
    margin-left: -200px;
}

/* Logo */
.logo-wrapper {
    width: 450px;
    height: 450px;
}

.ratp-logo {
    width: 100%;
}
.mobile{
    display: none;
}

.airatp_logo {
    width: 350px;
    padding-bottom: 15px;
}

/* Typographie */
.text-content {
    color: white;
    text-align: left;
    display: flex;          /* Active Flexbox */
    flex-direction: column; /* Aligne les éléments verticalement */
    justify-content: center;
    height: 450px;           /* Aligne la zone sur la hauteur du logo RATP */
    position: relative;
}


p {
    font-size: 1.85rem;
    line-height: 1.2;
    font-family: 'Parisine Office Bold';
    color: #143782;
}

/* Bouton */
.btn-cta {
    padding: 12px 40px;
    border: 3px solid #143782;
    border-radius: 50px;
    color: #143782;
    text-decoration: none;
    font-size: 1.2rem;
    transition: all 0.3s ease;
    font-family: 'Parisine Office';
    font-style: normal;
    font-weight: 400;
    background-color: #ffffff;
    cursor: not-allowed;
    color: #143782;
    margin-top: 50px;
}

.btn-cta:hover {
    background-color: #143782;
    color: white;
    transform: translateY(-5px);
}

/* --- RESPONSIVE --- */


@media (max-width: 1280px) {
    .logo-wrapper {
        width: 380px;
        height: 380px;
    }
    .text-content {
       height: 380px; 
    }

    .container {
        margin-left: -100px;
        gap: 4vw;
        height: 420px;
    }

    .airplane {
        width: 200px;
    }

        @keyframes flyIn {
        from {
            transform: translateX(calc(-50vw - 100px));
        }
        to {
            transform: translateX(calc(50vw + 100px));
        }
    }

}

@media (max-width: 870px) {
    .container {
        flex-direction: column;
        height: auto;
        margin-left: 0px;
    }

    .text-content {
        height: auto;
        text-align: center;
        align-items: center;
        padding-top: 20px;
    }


    p {
        font-size: 1.2rem;
    }

    .airplane{
    animation: flyIn 30s linear infinite;
    }

    .airplane-container {
    top: 5%;
    }

    .logo-wrapper {
    width: 75%;
    height: auto;
    max-width: 500px;
    }
    .btn-cta {
    position: static;    /* Le bouton reprend sa place normale sous le texte */
    margin-top: 20px;
    align-self: center;
    font-size: 1.1rem;
    padding: 12px 25px;
    }
    .airatp_logo {
    width: 225px;
    padding-bottom: 5px;
    }
    .mobile{
    display: block;
    }
    .desktop{
    display: none;
    }
}


